---
title: /token-updated
slug: token-updated
createdAt: 2025-08-12T21:15:13.775Z
---

{
  "id": "gSEO2XdG7IVqMN93Rbn10",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://endpoint.YOURDOMAIN.com/token-updated",
    "servers": [
      {
        "url": "https://endpoint.YOURDOMAIN.com/token-updated"
      }
    ],
    "name": "",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "signature",
          "type": "string",
          "description": "HMAC signature that was signed with your configured key",
          "default": "+JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw="
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "token",
              "kind": "required",
              "type": "string",
              "description": "Forter token",
              "example": "",
              "default": "ftr1d8a56cfa6b3745a39e4a42d5ab1048c8"
            },
            {
              "name": "card",
              "kind": "required",
              "type": "object",
              "description": "Token's underlying credit card data",
              "example": "",
              "schema": [
                {
                  "name": "bin",
                  "kind": "required",
                  "type": "string",
                  "description": "Credit card bin",
                  "example": "",
                  "default": "123456"
                },
                {
                  "name": "lastFourDigits",
                  "kind": "required",
                  "type": "string",
                  "description": "Credit card last four digits",
                  "example": "",
                  "default": "1234"
                },
                {
                  "name": "expiration",
                  "kind": "required",
                  "type": "string<date>",
                  "description": "Credit card expiration",
                  "example": "",
                  "default": "1747305600000"
                },
                {
                  "name": "state",
                  "kind": "required",
                  "type": "string",
                  "description": "Credit card state - ACTIVE or CLOSED",
                  "example": "",
                  "default": "ACTIVE"
                }
              ]
            },
            {
              "name": "networkToken",
              "kind": "optional",
              "type": "object",
              "description": "The network token data - only available if there is a network token in use",
              "example": "",
              "schema": [
                {
                  "name": "networkToken",
                  "kind": "required",
                  "type": "string",
                  "description": "The token",
                  "example": "",
                  "default": "5200828282828210"
                },
                {
                  "name": "expiration",
                  "kind": "required",
                  "type": "string<date>",
                  "description": "Network token expiration",
                  "example": "",
                  "default": "1747305600000"
                },
                {
                  "name": "paymentAccountReference",
                  "kind": "required",
                  "type": "string",
                  "description": "Network token payment account reference",
                  "example": "",
                  "default": "A23B45C67D89E01F23G45H67I89J0"
                },
                {
                  "name": "state",
                  "kind": "required",
                  "type": "string",
                  "description": "Network token state",
                  "example": "",
                  "default": "ACTIVE"
                }
              ]
            },
            {
              "name": "source",
              "kind": "required",
              "type": "string",
              "description": "What product originated the update - AU or NT",
              "example": "",
              "default": "AU"
            },
            {
              "name": "updatedFields",
              "kind": "required",
              "type": "object",
              "description": "The specific fields that were updated",
              "example": "",
              "schema": [
                {
                  "name": "paymentAccountReference",
                  "kind": "optional",
                  "type": "string",
                  "description": "Network token payment account reference",
                  "example": "",
                  "default": "A23B45C67D89E01F23G45H67I89J0"
                },
                {
                  "name": "networkTokenExpirationMonth",
                  "kind": "optional",
                  "type": "string",
                  "description": "Network token expiration month",
                  "example": "",
                  "default": "12"
                },
                {
                  "name": "networkTokenExpirationYear",
                  "kind": "optional",
                  "type": "string",
                  "description": "Network token expiration year",
                  "example": "",
                  "default": "2025"
                },
                {
                  "name": "networkTokenState",
                  "kind": "optional",
                  "type": "string",
                  "description": "Network token state",
                  "example": "",
                  "default": "ACTIVE"
                },
                {
                  "name": "lastFourDigits",
                  "kind": "optional",
                  "type": "string",
                  "description": "Credit card last four digits",
                  "example": "",
                  "default": "1234"
                },
                {
                  "name": "expirationMonth",
                  "kind": "optional",
                  "type": "string",
                  "description": "Credit card expiration month",
                  "example": "",
                  "default": "12"
                },
                {
                  "name": "expirationYear",
                  "kind": "optional",
                  "type": "string",
                  "description": "Credit card expiration year",
                  "example": "",
                  "default": "2025"
                },
                {
                  "name": "cardState",
                  "kind": "optional",
                  "type": "string",
                  "description": "Credit card state",
                  "example": "",
                  "default": "ACTIVE"
                }
              ]
            },
            {
              "name": "cardArt",
              "kind": "optional",
              "type": "string",
              "description": "Credit card art in base64 format",
              "example": "",
              "default": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg=="
            },
            {
              "name": "timestamp",
              "kind": "required",
              "type": "string<date>",
              "description": "The time of sending the message",
              "example": "",
              "default": "1747305600000"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "sec0",
          "name": "sec0",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://endpoint.YOURDOMAIN.com/token-updated \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'signature: +JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw=' \\\n     --data '{\n     \"token\": \"ftr1d8a56cfa6b3745a39e4a42d5ab1048c8\",\n     \"card\": {\n     \"bin\": \"123456\",\n     \"lastFourDigits\": \"1234\",\n     \"expiration\": \"1747305600000\",\n     \"state\": \"ACTIVE\"\n     },\n     \"networkToken\": {\n     \"networkToken\": \"5200828282828210\",\n     \"expiration\": \"1747305600000\",\n     \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n     \"state\": \"ACTIVE\"\n     },\n     \"source\": \"AU\",\n     \"updatedFields\": {\n     \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n     \"networkTokenExpirationMonth\": \"12\",\n     \"networkTokenExpirationYear\": \"2025\",\n     \"networkTokenState\": \"ACTIVE\",\n     \"lastFourDigits\": \"1234\",\n     \"expirationMonth\": \"12\",\n     \"expirationYear\": \"2025\",\n     \"cardState\": \"ACTIVE\"\n     },\n     \"cardArt\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg==\",\n     \"timestamp\": \"1747305600000\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"signature\", \"+JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw=\");\n\nvar raw = JSON.stringify({\n   \"token\": \"ftr1d8a56cfa6b3745a39e4a42d5ab1048c8\",\n   \"card\": {\n      \"bin\": \"123456\",\n      \"lastFourDigits\": \"1234\",\n      \"expiration\": \"1747305600000\",\n      \"state\": \"ACTIVE\"\n   },\n   \"networkToken\": {\n      \"networkToken\": \"5200828282828210\",\n      \"expiration\": \"1747305600000\",\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"state\": \"ACTIVE\"\n   },\n   \"source\": \"AU\",\n   \"updatedFields\": {\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"networkTokenExpirationMonth\": \"12\",\n      \"networkTokenExpirationYear\": \"2025\",\n      \"networkTokenState\": \"ACTIVE\",\n      \"lastFourDigits\": \"1234\",\n      \"expirationMonth\": \"12\",\n      \"expirationYear\": \"2025\",\n      \"cardState\": \"ACTIVE\"\n   },\n   \"cardArt\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg==\",\n   \"timestamp\": \"1747305600000\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://endpoint.YOURDOMAIN.com/token-updated\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://endpoint.YOURDOMAIN.com/token-updated\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"signature\"] = \"+JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw=\"\nrequest.body = JSON.dump({\n   \"token\": \"ftr1d8a56cfa6b3745a39e4a42d5ab1048c8\",\n   \"card\": {\n      \"bin\": \"123456\",\n      \"lastFourDigits\": \"1234\",\n      \"expiration\": \"1747305600000\",\n      \"state\": \"ACTIVE\"\n   },\n   \"networkToken\": {\n      \"networkToken\": \"5200828282828210\",\n      \"expiration\": \"1747305600000\",\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"state\": \"ACTIVE\"\n   },\n   \"source\": \"AU\",\n   \"updatedFields\": {\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"networkTokenExpirationMonth\": \"12\",\n      \"networkTokenExpirationYear\": \"2025\",\n      \"networkTokenState\": \"ACTIVE\",\n      \"lastFourDigits\": \"1234\",\n      \"expirationMonth\": \"12\",\n      \"expirationYear\": \"2025\",\n      \"cardState\": \"ACTIVE\"\n   },\n   \"cardArt\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg==\",\n   \"timestamp\": \"1747305600000\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://endpoint.YOURDOMAIN.com/token-updated\"\n\npayload = json.dumps({\n   \"token\": \"ftr1d8a56cfa6b3745a39e4a42d5ab1048c8\",\n   \"card\": {\n      \"bin\": \"123456\",\n      \"lastFourDigits\": \"1234\",\n      \"expiration\": \"1747305600000\",\n      \"state\": \"ACTIVE\"\n   },\n   \"networkToken\": {\n      \"networkToken\": \"5200828282828210\",\n      \"expiration\": \"1747305600000\",\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"state\": \"ACTIVE\"\n   },\n   \"source\": \"AU\",\n   \"updatedFields\": {\n      \"paymentAccountReference\": \"A23B45C67D89E01F23G45H67I89J0\",\n      \"networkTokenExpirationMonth\": \"12\",\n      \"networkTokenExpirationYear\": \"2025\",\n      \"networkTokenState\": \"ACTIVE\",\n      \"lastFourDigits\": \"1234\",\n      \"expirationMonth\": \"12\",\n      \"expirationYear\": \"2025\",\n      \"cardState\": \"ACTIVE\"\n   },\n   \"cardArt\": \"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAGgwJ/ lmfr3wAAAABJRU5ErkJggg==\",\n   \"timestamp\": \"1747305600000\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'signature': '+JWKfq4ynALK+FFzGgHnp1jSMQJMBJeb87dlph24sXw='\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}